Skip to content
WP Engine Documentation

Restores a WordPress installation from a backup

POST
/installs/{install_id}/backups/{backup_id}/restore
curl --request POST \
--url https://api.wpengineapi.com/v1/installs/example/backups/example/restore \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "notification_emails": [ "myself@torquemag.com" ], "restore_database": true, "create_checkpoint": true }'

Initiates a restore operation from a specific backup. This will restore the WordPress installation to the state captured in the specified backup.

install_id
required
string format: uuid

ID of install

backup_id
required
string format: uuid

ID of backup to restore from

Properties
  • notification_emails - required - The email address(es) that will receive an email once the restore has completed.
  • restore_database - optional (default: true) - Whether to restore the database from the backup.
  • create_checkpoint - optional (default: true) - Whether to create a checkpoint before restoring.
Media type application/json
object
notification_emails
required

The email address(es) that will receive an email once the restore has completed.

Array<string>
restore_database

Whether to restore the database from the backup.

boolean
default: true
create_checkpoint

Whether to create a checkpoint before restoring.

boolean
default: true
Example
{
"notification_emails": [
"myself@torquemag.com"
],
"restore_database": true,
"create_checkpoint": true
}

Accepted - restore operation has been initiated

Media type application/json

Bad Request

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid Site: Name cannot be empty.",
"errors": [
{
"resource": "Site",
"field": "name",
"type": "invalid_value",
"code": "too_long",
"message": "Name is too long (maximum is 40 characters)"
}
]
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

Internal Server Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

An invalid response was received from an upstream server

Media type application/json

Service unavailable

Media type application/json